clang 10.0.0git

Classes | Public Types | Public Member Functions | List of all members
clang::interp::Scope Class Reference

Describes a scope block. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/AST/Interp/Function.h"`

## Classes
struct | Local
| Information about a local's storage. More...

## Public Types
using | LocalVectorTy = llvm::SmallVector< Local, 8 >

## Public Member Functions
| Scope (LocalVectorTy &&Descriptors)
llvm::iterator_range< LocalVectorTy::iterator > | locals ()

## Detailed Description

Describes a scope block.

The block gathers all the descriptors of the locals defined in this block.

Definition at line 32 of file Function.h.

## Member Typedef Documentation

## ◆ LocalVectorTy

using clang::interp::Scope::LocalVectorTy = llvm::SmallVector<Local, 8>

Definition at line 42 of file Function.h.

## Constructor & Destructor Documentation

## ◆ Scope()

clang::interp::Scope::Scope | ( | LocalVectorTy && | Descriptors | ) |
| inline

Definition at line 44 of file Function.h.

## Member Function Documentation

## ◆ locals()

llvm::iterator_range<LocalVectorTy::iterator> clang::interp::Scope::locals | ( |  | ) |
| inline

Definition at line 46 of file Function.h.

Referenced by clang::interp::InterpFrame::destroy().

The documentation for this class was generated from the following file:

- lib/AST/Interp/Function.h